WordPress.org

Support

Support » Plugins and Hacks » Text Obfuscator » Fix: 'has_cap' deprecated error

Fix: 'has_cap' deprecated error

  • If you are getting a random has_cap deprecated error as below in debug mode (especially when you open Plugin Details):

    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead.

    Simply modify the following line (82)
    $pageHook = add_management_page( 'Text Obfuscator admin', 'Text Obfuscator', 2, 'obfuscator', 'obfuscator_admin_page' );

    To the following:
    `$pageHook = add_management_page( ‘Text Obfuscator admin’, ‘Text Obfuscator’, ‘manage_options’, ‘obfuscator’, ‘obfuscator_admin_page’ );’

    Hope the plugin creator can commit these changes 🙂

    http://wordpress.org/extend/plugins/text-obfuscator/

  • The topic ‘Fix: 'has_cap' deprecated error’ is closed to new replies.
Skip to toolbar